package com.dayou.service;
import com.dayou.dto.DataPermissionCondition;
import com.dayou.entity.MarketLog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.ItemLogCollectVO;
import com.dayou.vo.MarketLogVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 市场人员日志 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-01-13
 */
public interface IMarketLogService extends IService<MarketLog> {

        Page<MarketLogVO> selectPage(Page page, MarketLog marketLog);

        MarketLog detail(Long id);

        Boolean add(MarketLog marketLog);

        Boolean update(MarketLog marketLog);

        Boolean delete(Long id);

    List<ItemLogCollectVO> logCollect(DataPermissionCondition condition);
}
